#ifndef RAPRELUDE_h

#define RAPRELUDE_h

#define DEFAULT_ANALYZER_NAME "raprelude"

#define IDMEF_ANALYZER_VERSION "0.3.1"
#define IDMEF_ANALYZER_MODEL "raprelude"
#define IDMEF_ANALYZER_CLASS "Network Intrusion Detection System"
#define IDMEF_ANALYZER_MANUFACTURER "Intrusion Lab (http://www.intrusion-lab.net/)"

#define IDMEF_CLASSIF_NAME "Logged network event"
#define IDMEF_CLASSIF_URL "http://www.intrusion-lab.net/class/0000-argus-generic-traffic.html"
#define IDMEF_CLASSIF_ORIGIN "vendor-specific"

#define LINE_LEN 1024
#define TRUE 1
#define FALSE 0

#define CLASS_CFG_FILE "class.conf"

#define PROTO_ANY   65535
#define ITYPE_ANY   65535
#define MAXPORT     65535

#define NO_PORT     0
#define PORT_EQ     1
#define PORT_GT     2
#define PORT_LT     3
#define PORT_NE     4
#define PORT_RANGE  5
#define NO_ITYPE    255

// this starts with 1 (not 0)!
#define ACTION_DROP  1
#define ACTION_LOG   2
#define ACTION_MLOG  3
#define ACTION_STORE 4

struct ArgusNetStruct {
   arg_int32 operator;
   arg_uint32 addr;
   arg_uint32 mask;
};

struct ClassStruct {
   struct ClassStruct *prv, *nxt;
   struct ArgusNetStruct src, dst;
   arg_uint16 proto, src_port_low, src_port_hi;
   arg_uint16 dst_port_low, dst_port_hi;
   arg_uint16 src_port_action, dst_port_action;
   arg_uint16 itype;
   unsigned int lineno;
   int severity;
   char *line;
   char *classification;
   char *referenceurl;
   int action;
};
                                 

#endif /* RAPRELUDE_h */

